For the complete documentation index, see llms.txt. This page is also available as Markdown.

Notifications

Get notifications

get
Responses
200

OK

application/json
get/api/notifications
GET /v1/api/notifications HTTP/1.1
Accept: */*
{
  "notifications": [
    {
      "apiVersion": "string",
      "kind": "string",
      "metadata": {
        "additionalInfo": {
          "documentation": [
            {
              "text": "text",
              "url": "text"
            }
          ],
          "message": "string"
        },
        "blueprintTags": {
          "ANY_ADDITIONAL_PROPERTY": [
            "text"
          ]
        },
        "dateModified": "text",
        "deprecated": true,
        "description": "string",
        "displayName": "string",
        "hash": "text",
        "icon": "string",
        "id": "string",
        "labels": {},
        "name": "string",
        "resourceDocLink": "string",
        "stability": "string",
        "version": 1,
        "warning": "string"
      },
      "spec": {
        "account": "text",
        "adminOnly": true,
        "hidden": true,
        "notificationType": "job",
        "organization": "text",
        "recommendationId": "text",
        "scope": "global",
        "severity": "text",
        "userId": "text"
      },
      "status": {
        "userStatus": "unread"
      }
    }
  ]
}

Get notification by id

get
Path parameters
idstringRequired

notification id

Responses
200

OK

application/json
get/api/notifications/{id}
GET /v1/api/notifications/{id} HTTP/1.1
Accept: */*
{
  "notification": {
    "apiVersion": "string",
    "kind": "string",
    "metadata": {
      "additionalInfo": {
        "documentation": [
          {
            "text": "text",
            "url": "text"
          }
        ],
        "message": "string"
      },
      "blueprintTags": {
        "ANY_ADDITIONAL_PROPERTY": [
          "text"
        ]
      },
      "dateModified": "text",
      "deprecated": true,
      "description": "string",
      "displayName": "string",
      "hash": "text",
      "icon": "string",
      "id": "string",
      "labels": {},
      "name": "string",
      "resourceDocLink": "string",
      "stability": "string",
      "version": 1,
      "warning": "string"
    },
    "spec": {
      "account": "text",
      "adminOnly": true,
      "hidden": true,
      "notificationType": "job",
      "organization": "text",
      "recommendationId": "text",
      "scope": "global",
      "severity": "text",
      "userId": "text"
    },
    "status": {
      "userStatus": "unread"
    }
  }
}

Last updated

Was this helpful?